Loading...
Searching...
No Matches
caf::typed_response_promise< Ts > Class Template Reference

A response promise can be used to deliver a uniquely identifiable response message from the server (i.e. More...

`#include <typed_response_promise.hpp>`

## Public Member Functions

| typed_response_promise ()=default
| Constructs an invalid response promise.
| typed_response_promise (strong_actor_ptr self, mailbox_element &src)
| typed_response_promise (typed_response_promise &&)=default
| typed_response_promise (const typed_response_promise &)=default
typed_response_promise & | operator= (typed_response_promise &&)=default
typed_response_promise & | operator= (const typed_response_promise &)=default
| operator response_promise & ()
| Implicitly convertible to untyped response promise.
template<class U, class... Us>
std::enable_if<(sizeof...(Us)>0)||!std::is_convertible< U, error >::value, typed_response_promise >::type | deliver (U &&x, Us &&... xs)
| Satisfies the promise by sending a non-error response message.
template<message_priority P = message_priority::normal, class Handle = actor, class... Us>
typed_response_promise | delegate (const Handle &dest, Us &&... xs)
typed_response_promise | deliver (error x)
| Satisfies the promise by sending an error response message.
bool | pending () const
| Queries whether this promise is a valid promise that is not satisfied yet.

## Detailed Description

template<class... Ts>
class caf::typed_response_promise< Ts >

A response promise can be used to deliver a uniquely identifiable response message from the server (i.e.

receiver of the request) to the client (i.e. the sender of the request).

## Member Function Documentation

## deliver()

template<class... Ts>

typed_response_promise caf::typed_response_promise< Ts >::deliver | ( | error | x | ) |

Satisfies the promise by sending an error response message.

For non-requests, nothing is done.

The documentation for this class was generated from the following files:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/fwd.hpp
- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/typed_response_promise.hpp